# Generated by Django 3.0.1 on 2019-12-28 17:28

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Chart",
            fields=[
                ("id", models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=128, verbose_name="Name")),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("created", "Created"),
                            ("in_progress", "In progress"),
                            ("failed", "Failed"),
                            ("success", "Success"),
                        ],
                        default="created",
                        max_length=16,
                        verbose_name="Status",
                    ),
                ),
                ("a", models.PositiveIntegerField(default=10, verbose_name="A")),
                ("b", models.PositiveIntegerField(default=10, verbose_name="B")),
                ("c", models.PositiveIntegerField(default=10, verbose_name="C")),
                ("d", models.PositiveIntegerField(default=10, verbose_name="D")),
                ("step", models.PositiveIntegerField(default=1, verbose_name="Max X")),
                ("max_x", models.PositiveIntegerField(default=1000, verbose_name="Max X")),
                (
                    "data",
                    django.contrib.postgres.fields.jsonb.JSONField(
                        blank=True, default=list, null=True, verbose_name="CHart data"
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, verbose_name="Created")),
                ("updated", models.DateTimeField(auto_now=True, verbose_name="Updated")),
            ],
            options={"ordering": ["-created"],},
        ),
    ]
